## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iengine/viscull.h File Reference

Visibility culling. More...

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes

struct | iVisibilityCuller
| This interface represents a visibility culling system. More...
struct | iVisibilityCullerListener
| Implement this interface when you want to get notified about visible objects detected by the visibility cullers. More...
struct | iVisibilityObject
| An object that wants to know if it is visible or not for some visibility culler needs to implement this interface. More...
struct | iVisibilityObjectIterator
| Iterator to iterate over some visibility objects. More...

## GetCullerFlags() flags

#define | CS_CULLER_HINT_BADOCCLUDER 8
| This is a bad occluder.
#define | CS_CULLER_HINT_GOODOCCLUDER 4
| This is a good occluder.

## Detailed Description

Visibility culling.

Definition in file viscull.h.